问一下关于openSUSE下类似UBUNTU的一个命令

为当前最终发行版之前的所有版本提供支持
回复
mauricze
帖子: 87
注册时间: 2007-12-24 12:58
送出感谢: 0
接收感谢: 0

问一下关于openSUSE下类似UBUNTU的一个命令

#1

帖子 mauricze » 2008-09-27 16:59

ubuntu下面可以用
apt-get autoremove
来删除已删软件包遗留下的一些dependencies

openSUSE下有类似的命令吗?
或者怎么操作?
谢谢!
头像
boreascn
帖子: 385
注册时间: 2008-03-26 14:28
送出感谢: 0
接收感谢: 0

Re: 问一下关于openSUSE下类似UBUNTU的一个命令

#2

帖子 boreascn » 2008-09-27 18:53

不应该在这里问吧。这里都是用ubuntu的。你去opensuse的论坛看看。。
头像
chinesejerry
帖子: 510
注册时间: 2007-10-06 3:48
来自: 霍格沃茨魔法学校葛莱芬多学院
送出感谢: 0
接收感谢: 0
联系:

Re: 问一下关于openSUSE下类似UBUNTU的一个命令

#3

帖子 chinesejerry » 2008-09-27 19:35

opensuse是yum的管理器吧?你自己搜一下吧,不过我手头的资料里显示没有类似的命令。
yum autoremove你看有用没。
Because...nobody really uses an operating system,
people use...programs...on their computer.
And the only mission in life of an operating system is to helps those programs run.
----Linus
头像
weive
帖子: 3236
注册时间: 2007-10-21 18:36
来自: 汕头/广东/中国
送出感谢: 2 次
接收感谢: 3 次

Re: 问一下关于openSUSE下类似UBUNTU的一个命令

#4

帖子 weive » 2008-09-27 19:53

应该是YaST吧。具体操作不清楚。应该比apt还易用的。
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为
头像
yysq009
帖子: 2682
注册时间: 2007-01-28 23:00
来自: @江西|南昌@
送出感谢: 0
接收感谢: 0
联系:

Re: 问一下关于openSUSE下类似UBUNTU的一个命令

#5

帖子 yysq009 » 2008-09-27 20:36

打开 YaST 的 图形终端 好像可以操作的! SUSE10.0 是这样的 现在的版本就不晓得了

Do as you would be done by !
mauricze
帖子: 87
注册时间: 2007-12-24 12:58
送出感谢: 0
接收感谢: 0

Re: 问一下关于openSUSE下类似UBUNTU的一个命令

#6

帖子 mauricze » 2008-09-27 21:12

#yast --help
Usage: /sbin/yast [OPTIONS] [MODULE] [module specific parameters]

OPTIONS:
-h, --help this message
-l, --list list all available modules
--qt use the QT graphical user interface
--gtk use the GTK graphical user interface
--ncurses use the NCURSES text-mode user interface
-g, --geometry default window size (qt only)
--noborder no window manager border for main window
--fullscreen use full screen

exceptional case for installing packages:
/sbin/yast OPTION <package> [<package> [...]]

OPTION:
-i, --install install rpm package
--update update rpm package
--remove remove rpm package

<package> can be a single short package name (e.g. gvim)
which will be installed with dependency checking, or the full
path to an rpm package (e.g /tmp/gvim.rpm) which will be
installed without dependency checking
回复

回到 “老旧版本支持”